<template>
    <div className="container">
            <div className="main-body mt-5">
                <div className="row gutters-sm">
                    <div className="col-md-12">
                        <div className="card mb-3" >
                            <div className="card-body row" style="padding:unset;">
                                <div className='col-10' style="padding: var(--bs-card-spacer-y) var(--bs-card-spacer-x); border-right:1px solid lightgrey;"> 
                                    <div className="row">
                                        <div className="col-sm-3">
                                        <h6 className="mb-0">Full Name</h6>
                                        </div>
                                        <div className="col-sm-9 text-secondary">
                                        {{user.fullName}}
                                        </div>
                                    </div>
                                    <hr/>
                                    <div className="row">
                                        <div className="col-sm-3">
                                        <h6 className="mb-0">Email</h6>
                                        </div>
                                        <div className="col-sm-9 text-secondary">
                                        {{user.email}}
                                        </div>
                                    </div>
                                    <hr/>
                                    <div className="row">
                                        <div className="col-sm-3">
                                        <h6 className="mb-0">Phone</h6>
                                        </div>
                                        <div className="col-sm-9 text-secondary">
                                        +91-{{user.phoneNumber}}
                                        </div>
                                    </div>
                                    <hr/>
                                    <div className="row">
                                        <div className="col-sm-3">
                                        <h6 className="mb-0">country</h6>
                                        </div>
                                        <div className="col-sm-9 text-secondary">
                                        {{user.country}}
                                        </div>
                                    </div>
                                    <hr/>
                                    <div className="row">
                                        <div className="col-sm-3">
                                        <h6 className="mb-0">Gender</h6>
                                        </div>
                                        <div className="col-sm-9 text-secondary">
                                        {{user.gender}}
                                        </div>
                                    </div>
                                    <hr/>
                                    <div className="row">
                                        <div className="col-sm-3">
                                        <h6 className="mb-0">Open to remote work?</h6>
                                        </div>
                                        <div className="col-sm-9 text-secondary">
                                        {{user.remote_work}}
                                        </div>
                                    </div>
                                    <hr/>
                                    <div className="row">
                                        <div className="col-sm-3 mt-2">
                                        <h6 className="mb-0">Resume</h6>
                                        </div>
                                        <div className="col-sm-9 text-secondary">
                                        <a 
                                        :href="downloadUrl"
                                        download="Resume"
                                        rel="noreferrer"
                                        >
                                            <button className="btn btn-info">Download</button>
                                        </a>
                                        </div>
                                    </div>
                                    <hr/>
                                    <div v-if="user"> 
                                    <div v-for="(ele,idx) in user.extraFiles" :key="idx">        
                                        <div className='col-md-12 row' >
                                            <div className='col-md-3 mt-2'>
                                            <span style="padding-left:5px">{{ele.slice(ele.indexOf('-') + 1)}}</span>
                                            </div>
                                            <!-- <div className = "col-md-3 mt-2" style="text-align:right">
                                                <button className='btn btn-danger'>Delete</button>
                                            </div> -->
                                            
                                            <div className = "col-md-3 mt-2" style="text-align:right">
                                                <button className="btn btn-info" >
                                                    <label htmlFor="test">Upload</label></button>
                                                <input type="file" id="test" hidden  v-on:input="handleFileUpdate($event, ele)"/>
                                            </div>
                                            <div className = "col-md-3 mt-2" style="text-align:right">
                                                <a 
                                                download="Resume"
                                                rel="noreferrer"
                                                >
                                                <button className="btn btn-info">Download</button>
                                                </a>
                                            </div>
                                            
                                        </div>
                                        <hr/>
                                    </div>
                                              
                                    </div>
                                   
                                    
                                    <div className="row">
                                        <div className="col-sm-12" style="text-align:center">
                                        <router-link to="/update-profile"><button className='btn btn-primary'>Edit profile Info</button></router-link>
                                        </div>
                                    </div>
                                </div>
                                <div className='col-2' style="margin:auto" >
                                    <div style="textAlign:center" className='col-12'>
                                        <img :src="img" alt="Admin" style="border:0.5px solid lightgrey" className="rounded-circle" width='150'/>
                                        <div className="mt-3" style="text-align:center" >
                                            <h4>{{user.fullName}}</h4>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </div>
            </div>
            <div class="modal fade" v-if="state.show" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        ...
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary">Save changes</button>
                    </div>
                    </div>
                </div>
            </div>
  </template>
  <script>
  import { reactive } from 'vue'
  import {FETCH_USER,UPDATE_FILE} from '../store/storeConstants'
  import {mapState,mapActions} from 'vuex'
  export default{
    name:"ViewProfile",
    setup() {
        const state = reactive({
            show:false
        })
        return {state} 
    },
    data(){
        return{
            img:'',
            downloadUrl:'',
            updatedfile:'',
            fileToUpdate:''
        }
    },
    computed: {
          ...mapState("auth", {
              user: state => state.users
          }),
          getPhone(){
            return this.user.phoneNumber.toString()
          },
         
      },
    mounted() {
        this.$store.dispatch(`auth/${FETCH_USER}`,{"token":window.localStorage.getItem('token')}).then((res)=>{
            this.img = 'http://localhost:3100/uploads/images/'+res.image_path
            this.downloadUrl = 'http://localhost:3100/uploads/resume/'+res.resume_path
        })
    },
    methods:{
        ...mapActions("auth", {
            updateFile: UPDATE_FILE
        }),
   
        async handleFileUpdate(event,ele){

            console.log(event.target.files[0])
            console.log("YHA dekh",ele)
            this.updatedfile = event.target.files[0]
            this.fileToUpdate = ele
            console.log(this.state.show)
            this.state.show = true
            console.log(this.state)

            // this.updateFile({"token":localStorage.getItem('token'), "newfile":this.updatedfile , "oldfile":this.fileToUpdate}).catch(err=>{
            //   this.error = true
            //   this.errorMesage = err
            // })
        }
    }

  }
  
  </script>
  
 
  <style>

  </style>
  